%define modn   modsecurity2
%define modv   2.1.7
%define modl   mod_security2
%define mods   ModSecurity
%define httpv  %(rpm -q httpd-devel --qf '%{VERSION}')


Summary:       A web application firewall for the Apache HTTP server
Name:          mod_security21
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         System Environment/Daemons
Source0:       http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
Source1:       %{modn}-minimal.conf
Source2:       %{modn}.conf
URL:           http://www.modsecurity.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ivan Ristic <ivanr@webkreator.com>
Provides:      httpd-mod(%{mods}) = %{modv}
Provides:      %{modn} = %{modv}
Requires:      httpd = %{httpv}
BuildRequires: httpd-devel libtool libxml2-devel pcre-devel
Conflicts:     %{modl}


%description
ModSecurity is an open source intrusion detection and prevention engine
for web applications. It operates embedded into the web server, acting
as a powerful umbrella - shielding web applications from both known and
unknown attacks.


%prep
%setup -q -n modsecurity-apache_%{version}

# Prepare config
%{__cp} -f %{SOURCE2}  security2.conf
%{__cat} %{SOURCE1} >> security2.conf


%build
pushd apache2
%{__make} \
	DEFS="-DWITH_LIBXML2 -DWITH_PCRE_STUDY"                   \
	INCLUDES="-I%{_includedir}/libxml2 -I%{_includedir}/pcre" \
	LDFLAGS="-lxml2"                                          \
	top_dir=%{_libdir}/httpd                                  \
	all
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{modn}/rules

%{__install} -m 0755 apache2/.libs/%{modl}.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
%{__install} -m 0644 security2.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d

%{__cp}      -rpd    rules/*        ${RPM_BUILD_ROOT}%{_datadir}/%{modn}/rules


%postun
# Restart after erase/upgrade
/sbin/service httpd condrestart >/dev/null 2>&1 || :


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES LICENSE README.TXT
%doc %dir doc
%config(noreplace) %{_sysconfdir}/httpd/conf.d/security2.conf
%{_libdir}/httpd/modules/%{modl}.so
%{_datadir}/%{modn}


%changelog
* Sun Apr 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.1.7-1
- Forked from mod_security2
- New version (2.1.7)

* Sat Jan 19 2008 peter.pramberger@member.fsf.org 2.1.5-3
- new version (2.1.5)
- removed httpd release dependency

* Tue Dec 18 2007 peter.pramberger@member.fsf.org 2.1.4_2.0.52.38.ent.centos4-3
- new httpd version (2.0.52-38.ent.centos4)

* Sat Dec 15 2007 peter.pramberger@member.fsf.org 2.1.4_2.0.52.32.3.ent.centos4-3
- new version (2.1.4)

* Thu Oct 11 2007 peter.pramberger@member.fsf.org 2.1.3_2.0.52.32.3.ent.centos4-3
- new version (2.1.3)

* Mon Jul 16 2007 peter.pramberger@member.fsf.org 2.1.1_2.0.52.32.3.ent.centos4-3
- new httpd version (2.0.52-32.3.ent.centos4)

* Thu Jun 28 2007 peter.pramberger@member.fsf.org 2.1.1_2.0.52.32.2.ent.centos4-3
- new httpd version (2.0.52-32.2.ent.centos4)

* Mon May 21 2007 peter.pramberger@member.fsf.org 2.1.1_2.0.52.32.ent.centos4-3
- new httpd version (2.0.52-32.ent.centos4)
- new version (2.1.1)

* Fri Feb 16 2007 peter.pramberger@member.fsf.org 2.0.4_2.0.52.28.ent.centos4-3
- created
